Which Java version do I have?

User support for JPatch

Which Java version do I have?

Postby nine » Mon Jul 04, 2005 2:45 pm

Can I figure out which version of JRE I already have on my computer?
So I perhaps do not have to download and install JRE 1.4.


A Java Runtime Environment (JRE) version 1.4 or later is required. It can be downloaded from this site. You'll need the J2SE (Standard Edition - Core/Desktop) version of Java. Download and install the JRE to just run java applications (smaller download, does not include the Java compiler).

I believe to many there is just a problem to get started. Have a look on Suns pages:
http://java.sun.com/j2se/downloads/index.html
Here you can choose J2SE 5.0 - what is that? Something better?
or
J2SE 1.4.2

Choosing the later you will go here:
http://java.sun.com/j2se/1.4.2/download.html
Now you get this information:
J2SE v 1.4.2_08 JRE includes the JVM technology
The J2SE Java Runtime Environment (JRE) allows end-users to run Java applications. More info...
Download J2SE JRE

On next page after having accepted the license you can choose between
Windows Platform - Java(TM) 2 Runtime Environment, Standard Edition 1.4.2_08
Download Now! Windows Offline Installation, Multi-language j2re-1_4_2_08-windows-i586-p.exe 15.06 MB
Download Now! Windows Installation, Multi-language j2re-1_4_2_08-windows-i586-p-iftw.exe 1.35 MB

Well, once upon a time Java was the thing solving all problems...
Now to me it seems to be just for the nerds...
Or am I wrong?

And what to do about it? Well I believe you have to accept Sun´s policy.
Or can you let a program like JPatch download and install the JRE from Sun directly? The users not having to bother?
:D
nine
 
Posts: 133
Joined: Mon Jul 04, 2005 2:28 pm

Return to Support / Help

Who is online

Users browsing this forum: No registered users and 1 guest

cron